/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.MotivoCancelacion;
import java.util.List;

/**
 * 
 * @author Rafius
 */
public interface MotivoCancelacionService extends GenericService<MotivoCancelacion, Integer> {

	public List<MotivoCancelacion> buscar(String descmotivo, String tipomotivo);

	public List<MotivoCancelacion> obtenerTodosTipoMotivoB();

	public List<MotivoCancelacion> obtenerTodosEspecificos(Integer[] motivos);

	public boolean validaMotivoCancelacionConstante(MotivoCancelacion motivoCancelacion);
	
	public MotivoCancelacion findByCveSistema(String cveSistema) ;
}
